%define pkg_name        Math-Expression
%define pkg_version     1.17
%define rpm_pkg_version 1.17
%define rpm_pkg_release 1.n0i.1

Summary:       Evaluate arithmetic/string expressions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADDW/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This solves the problem of evaluating expressions read from config/... files
without the use of "eval". String and arithmetic operators are supported, as
are: conditions, arrays and functions. The name-space is managed (for
security), user provided functions may be specified to set/get variable
values. Error messages may be via a user provided function. This is not
designed for high computation use.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes Credits README TODO


%changelog
* Sat Jun 02 2007 Marius Feraru <altblue@n0i.net> - 1.17-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.17
